Description

In the new Ubuntu 12.04 (at least in 64-bit version) the relation between the gmp library and header is not as assumed by the CoCoA

configure script:

# ./configure --with-libgmp=/usr/lib/x86_64-linux-gnu/libgmp.a

ERROR: Cannot find or read GMP header file.

ERROR: Expected to find it in "/usr/lib/include/gmp.h" 

I manually adapted the script to my locations:

  library is in "/usr/lib/x86_64-linux-gnu/libgmp.a" 

  header  is in "/usr/include/gmp.h" 

There are several possibilities to make the script more flexible, so it would also find it in this setup, i.e. going up one directory and

looking there and in ./include/, if not successful go up another dir...

But I still thing it would be best if the script could get the system default paths for include paths (but I don't know how to do that).

Related issues:

Related to CoCoA - Feature #247: Use gmp default location if possible Closed 17 Sep 2012

History

#1 - 31 Aug 2012 12:07 - John Abbott

- Status changed from New to In Progress

- Assignee set to John Abbott

- % Done changed from 0 to 80

I have modified gmp-find.sh to handle the cases reported by Christof and Winfried.

The script now finds both the library and the header file; I modified configure script accordingly.

I'll make the modified version available soon, and will close if/when Christof and Winfried report that it works.

Note: Christof is on holiday until 2012-09-11.

#2 - 31 Aug 2012 12:58 - John Abbott

Previous change did not work when user specified GMP library.

#3 - 01 Oct 2012 12:13 - Christof Soeger

- % Done changed from 80 to 90
Works for me.

#4 - 01 Oct 2012 12:18 - John Abbott

- Status changed from In Progress to Resolved

Waiting for confirmation from John and Anna that Christof's new script works on their computers.  Will close if all works properly.

#5 - 04 Oct 2012 13:00 - John Abbott

- Status changed from Resolved to Closed

- Target version set to CoCoA-5.0.3

- % Done changed from 90 to 100
